<?php namespace Myriad\SharePoint\Auth;

use GuzzleHttp\Message\MessageInterface;
use Myriad\SharePoint\SharePointClient;

/**
 * Class Authenticator knows how to authenticate to SharePoint.
 *
 * @author David Kanenwisher
 * @package Myriad\SharePoint\Auth
 */
abstract class Authenticator {

  /**
   * @var SharePointClient Knows how to talk to SharePoint.
   */
  private $client;

  /**
   * Signs a request.
   *
   * @param \GuzzleHttp\Message\MessageInterface $request The request to sign.
   *
   * @return string
   */
  public abstract function sign(MessageInterface $request);

  /**
   * Sets the SharePointClient.
   *
   * @param SharePointClient $client
   */
  public function setClient(SharePointClient $client) {
    $this->client = $client;
  }

  /**
   * Returns the client.
   *
   * @return SharePointClient
   */
  public function getClient() {
    return $this->client;
  }
}