<?php namespace Myriad\SharePoint\Auth\SharePointOnline;

use Myriad\SharePoint\Contracts;

/**
 * Class SharePointOnlineClaimCodeFinder parses the location header for the code.
 *
 * @author David Kanenwisher
 * @package Myriad\SharePoint\Auth
 */
class CodeFinder implements Contracts\Auth\SharePointOnline\CodeFinder {

  /**
   * @var string The location header.
   */
  private $locationHeader;

  /**
   * Creates a new object.
   *
   * @param string $locationHeader The location header.
   */
  public function __construct($locationHeader) {
    $this->locationHeader = $locationHeader;
  }

  /**
   * Finds the code so that subsequent requests can use it for authentication.
   *
   * @return string
   */
  public function findCode() {
    parse_str(parse_url($this->locationHeader, PHP_URL_QUERY), $query);

    return $query['code'];
  }
}