<?php namespace Myriad\SharePoint\Auth\SharePointOnline;

/**
 * Class HtmlToXpath converts HTML to Xpath.
 *
 * @author David Kanenwisher
 * @package Myriad\SharePoint\Auth\SharePointOnline
 */
class HtmlToXpath {

  /**
   * @var string The HTML to convert to an XPath object.
   */
  private $html;

  /**
   * Create a new object.
   *
   * @param string $html The HTML string to convert to an XPath object.
   */
  public function __construct($html) {

    $this->html = $html;
  }

  /**
   * Converts an HTML string to a \DOMXPath.
   *
   * @return \DomXPath
   *
   */
  public function xpath() {
    $dom = new \DOMDocument();
    libxml_use_internal_errors(true);
    $dom->loadHTML($this->html, LIBXML_NOWARNING);
    libxml_clear_errors();
    $xpath = new \DomXPath($dom);

    return $xpath;
  }
}