<?php namespace Myriad\SharePoint\Auth\SharePointOnline;

/**
 * Class RealmFinder knows how to find the realm in the authentication header.
 *
 * @author David Kanenwisher
 * @package Myriad\SharePoint\Auth\SharePointOnline
 */
class RealmFinder {

  /**
   * @var string The authentication header.
   */
  private $authenticationHeader;

  /**
   * Creates a new object.
   *
   * @param string $authenticationHeader The authentication header.
   */
  public function __construct($authenticationHeader) {
    $this->authenticationHeader = $authenticationHeader;
  }

  /**
   * Finds the realm.
   *
   * @return string
   */
  public function findRealm() {
    $re = "/realm=\"(?<realm>[0-9a-f-]+)\"/";
    preg_match($re, $this->authenticationHeader, $matches);

    return $matches['realm'];
  }
}