<?php namespace Myriad\SharePoint\Contracts;

/**
 * Interface Configuration The configuration expected by the SharePoint client.
 *
 * @author David Kanenwiher
 * @package Myriad\SharePoint\Contracts
 */
interface Configuration {
  /**
   * @param array $config The configuration array to convert to an object.
   */
  public function __construct(array $config);

  /**
   * @return string
   */
  public function getSubSite();

  /**
   * @return string
   */
  public function getTenant();

  /**
   * @return string
   */
  public function getOAuth2ClientID();

  /**
   * @return string
   */
  public function getOAuth2ClientSecret();

  /**
   * @return string
   */
  public function getOAuth2RedirectUri();

  /**
   * @return string
   */
  public function getOAuth2TokenUrl();

  /**
   * @return string
   */
  public function getOAuth2Scope();

  /**
   * @return string
   */
  public function getUsername();

  /**
   * @return string
   */
  public function getPassword();
}
