<?php namespace Myriad\SharePoint\Contracts\Models;

/**
 * Interface CurrentUser holds the information about the current user.
 *
 * @author David Kanenwisher
 * @package Myriad\SharePoint\Contracts\Models
 */
interface CurrentUser {

  /**
   * Returns the e-mail address of the current user.
   *
   * @return string
   */
  public function getEmailAddress();

  /**
   * Return's the user's name.
   *
   * @return string
   */
  public function getName();

  /**
   * Returns the username the user uses to login to SharePoint Online.
   *
   * @return string
   */
  public function getUsername();
}