<?php namespace Myriad\SharePoint\Contracts;

use Illuminate\Contracts\Logging\Log;
use Myriad\SharePoint\Auth\SharePointOnline\Operations;

/**
 * Interface SharePointClient provides a gateway to Sharepoint services.
 *
 * @author Chris Roemmich
 * @author David Kanenwisher
 * @package Myriad\SharePoint
 */
interface SharePointClient {

  /**
   * Creates a new SharePointClient.
   *
   * @param \Myriad\SharePoint\Contracts\Configuration $config The configuration object for the SharePointClient.
   * @param \GuzzleHttp\Client $guzzle The HTTP client used to make requests.
   * @param \Myriad\SharePoint\Auth\SharePointOnline\Operations $operations
   * @param \Illuminate\Contracts\Logging\Log $log The object that handles logging messages.
   */
  public function __construct(Configuration $config, \GuzzleHttp\Client $guzzle, Operations $operations, Log $log);
}