<?php namespace Myriad\SharePoint\Contracts;

use Myriad\SharePoint\Models\Token\Token;

/**
 * Interface TokenRetriever lays out the operations excepted by a claim authenticator. A claim authenticator knows
 * how to take the provided credentials and make an OAuth token available to the client.
 *
 * @package Myriad\SharePoint\Contracts
 */
interface TokenRetriever {

  /**
   * Retrieves an access token.
   *
   * @return Token
   */
  public function getAccessToken();
}