<?php namespace Myriad\SharePoint\Models;

use Myriad\SharePoint\Contracts\Models\AuthenticatableUser;

/**
 * Class UnauthenticatedUser A user that couldn't be authenticated.
 *
 * @author David Kanenwisher
 * @package Myriad\SharePoint\Models
 */
class UnauthenticatedUser implements AuthenticatableUser {

  /**
   * Whether or not the user is authenticated.
   *
   * @return bool
   */
  public function isAuthenticated() {
    return false;
  }

  /**
   * The user's e-mail address.
   *
   * @return string
   */
  public function getEmailAddress() {
    return "";
  }

  /**
   * Get the name of the unique identifier for the user.
   *
   * @return string
   */
  public function getAuthIdentifierName() {
    // TODO: Implement getAuthIdentifierName() method.
  }

  /**
   * Get the unique identifier for the user.
   *
   * @return mixed
   */
  public function getAuthIdentifier() {
    // TODO: Implement getAuthIdentifier() method.
  }

  /**
   * Get the password for the user.
   *
   * @return string
   */
  public function getAuthPassword() {
    // TODO: Implement getAuthPassword() method.
  }

  /**
   * Get the token value for the "remember me" session.
   *
   * @return string
   */
  public function getRememberToken() {
    // TODO: Implement getRememberToken() method.
  }

  /**
   * Set the token value for the "remember me" session.
   *
   * @param  string $value
   *
   * @return void
   */
  public function setRememberToken($value) {
    // TODO: Implement setRememberToken() method.
  }

  /**
   * Get the column name for the "remember me" token.
   *
   * @return string
   */
  public function getRememberTokenName() {
    // TODO: Implement getRememberTokenName() method.
  }

  /**
   * The user's name.
   *
   * @return string
   */
  public function getName() {
    return "";
  }

  /**
   * The user's access token.
   *
   * @return string
   */
  public function getAccessToken() {
    return "";
  }

  /**
   * Returns the user's refresh token.
   *
   * @return string
   */
  public function getRefreshToken() {
    return "";
  }

  /**
   * Returns the user's expires on time.
   *
   * @return string
   */
  public function getExpiresOn() {
    return "";
  }

  /**
   * Refresh's the access token.
   *
   * @return bool
   */
  public function refreshAccessToken() {
    return false;
  }

  /**
   * Make a get request to SharePointOnline.
   *
   * @param string $resource The resource to request.
   * @param string $site The SharePoint Online site to make the request to.
   * @return \GuzzleHttp\Message\Response
   * @throws \Exception
   */
  public function get($resource, $site = '') {
    throw new \Exception('Unable to authenticate the user so the URL can not be retrieved.');
  }

  /**
   * Make a request to the SharePointOnline search API.
   *
   * @param string $url The url to append to the search request.
   * @return \GuzzleHttp\Message\Response
   * @throws \Exception
   */
  public function search($url) {
    throw new \Exception('Unable to authenticate the user so the search request can\'t be made.');
  }
}
