<?php namespace Myriad\SharePoint;

use Illuminate\Support\ServiceProvider;

/**
 * Class SharePointAuthProvider responsible for authenticating to SharePoint.
 *
 * @author David Kanenwisher
 * @package Myriad\SharePoint
 */
class SharePointAuthProvider extends ServiceProvider {

  public function boot() {
    $this->app['auth']->extend('sharepoint', function() {
      return new SharePointUserProvider($this->app['sharepoint'], $this->app[$this->app['config']['auth.model']]);
    });
  }

  /**
   * Register the service provider.
   *
   * @return void
   */
  public function register() {
    // TODO: Implement register() method.
  }
}