<?php namespace Myriad\SharePoint\Tests;

/**
 * Class TestCase The base test case that provides shortcuts for other tests.
 *
 * @package Myriad\SharePoint\Tests
 */
abstract class TestCase extends \PHPUnit_Framework_TestCase {

  /**
   * Closes out the test.
   */
  public function tearDown() {
    \Mockery::close();
  }

  /**
   * Shortcut for creating a mock object.
   *
   * @param string $class The full namespaced name of the class.
   *
   * @return \Mockery\MockInterface
   */
  public static function mock($class) {
    return \Mockery::mock($class);
  }
}