<?php namespace Myriad\SharePoint\Tests\Unit\Models;

use Myriad\SharePoint\Models\UnauthenticatedUser;
use Myriad\SharePoint\Tests\TestCase;

/**
 * Class UnauthenticatedUserTest verifies the Unauthenticated user works correctly.
 *
 * @author David Kanenwisher
 * @package Myriad\SharePoint\Tests
 */
class UnauthenticatedUserTest extends TestCase {
  public function testIsUnauthenticated() {
    $object = new UnauthenticatedUser();

    $this->assertFalse($object->isAuthenticated(), "User returned authenticated when it shouldn't have");
    $this->assertEmpty($object->getEmailAddress(), "Unauthenticated users shouldn't have an e-mail address");
  }
}
