<?php namespace Myriad\SharePoint\Tests\Unit;

use Myriad\SharePoint\SharePointServiceProvider;
use Myriad\SharePoint\Tests\TestCase;

/**
 * Class SharePointServiceProviderTest verifies that the SharePointServiceProvider works correctly.
 *
 * @author David Kanenwisher
 * @package Myriad\SharePoint\Tests
 */
class SharePointServiceProviderTest extends TestCase {

  /**
   * Clean up after a test.
   *
   * @return void
   */
  public function tearDown()
  {
    \Mockery::close();
  }

  /**
   * Verify that the SharePointService registers correctly.
   *
   * @return void
   */
  public function testRegister() {
    $app = $this->mock('\ArrayObject, \ArrayAccess, \Illuminate\Contracts\Container\Container');
    $config = $this->mock('\Illuminate\Contracts\Config\Repository');
    $config->shouldReceive('get')->andReturn([]);
    $config->shouldReceive('set');
    $app->shouldReceive('offsetGet')->andReturn($config);
    $app->shouldReceive('singleton')->once();
    $app->shouldReceive('alias')->twice();

    $provider = new SharePointServiceProvider($app);

    $provider->register();
  }
}
